Skip to navigation

Get TSP

Get detailed information about a specific TSP.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tsp_idstringRequiredformat: "uuid"

Response

Successful Response
namestring
source_nameenum
TSP enum identifier for API references
conn_typeenum
The type of connection usedt to authenticate with the TSP
idstringformat: "uuid"
Unique Catena TSP identifier
slugstring

URL-friendly TSP identifier

created_atdatetime
When the TSP was added to Catena
updated_atdatetime
Last modification timestamp
descriptionstring or nullOptional
A description of the TSP
websiteslist of strings or nullOptional
List of websites associated with the TSP. The website is used to map users to an organization based on their email domain and to authenticate them accordingly in the scope of the organization.
statusenumOptional
The status of the TSP
is_sandboxbooleanOptionalDefaults to false
Indicates whether the TSP is a sandbox integrations for testing purposes.
logo_urlstring or nullOptionalformat: "uri"1-2083 characters
URL to the TSP's logo image, used for display purposes in the UI
logo_dark_urlstring or nullOptionalformat: "uri"1-2083 characters
URL to the TSP's logo image optimized for dark mode, used for display purposes in the UI
ext_tsp_idstring or nullOptionalformat: "uuid"
Linked external TSP ID from regulatory registry
registrystring or nullOptional

The regulatory body that certified this provider (e.g. ‘fmcsa’). None if not linked to any registry.

compliance_statusenumOptional

ELD compliance status. ‘compliant’ means at least one device is registered. ‘non_compliant’ means ALL devices have been revoked. ‘unknown’ means the TSP is not linked to a regulatory registry or has no registered devices.

Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error